# Release package for glusterfs 9

Name: rocky-release-gluster9

# Version is based on the EL it is part of
Version: 8.0
Release: 1%{?dist}
Summary: Gluster 9 packages for Rocky Linux

# License is based on the Rocky License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

Source0: Rocky-Gluster-9.repo
Source1: 75-gluster.preset

BuildArch: noarch
BuildRequires: systemd

Requires: rocky-release >= 8.4
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

# This provides the public key to verify the RPMs - No separate keys for
# packages built outside of the CBS / inside the releng buildsys.
Requires: rocky-release

Provides: rocky-release-gluster = 9

%description
This package contains DNF repo files for Gluster 9 packages provided by the
Rocky Linux Release Engineering team. Gluster 9 will receive updates for 12
months.

More details can be found at:
https://www.gluster.org/community/release-schedule

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/Rocky-Gluster-9.repo
install -D -m 644 %{SOURCE1} %{buildroot}%{_presetdir}/$(basename %{SOURCE1})

%post
%systemd_post

%preun
%systemd_preun

%postun
%systemd_postun

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-Gluster-9.repo
%{_presetdir}/75-gluster.preset

%changelog
* Mon Jun 28 2021 Louis Abel <label@rockylinux.org> - 8.0-1
- Init spec for gluster 9 for RL
